///////////////////////////////////////////////////////////////////////////////
//                                                                           //
//  Notice to licensees:                                                     //
//                                                                           //
//  This source code is the exclusive, proprietary intellectual property of  //
//  Sharkysoft (sharkysoft.com).  You may view this source code as a         //
//  supplement to other product documentation, but you may not distribute    //
//  it or use it for any other purpose without written consent from          //
//  Sharkysoft.                                                              //
//                                                                           //
//  You are permitted to modify and recompile this source code, but you may  //
//  not remove this notice.  If you add features to or fix errors in this    //
//  code, please consider sharing your changes with Sharkysoft for possible  //
//  incorporation into future releases of the product.  Thanks!              //
//                                                                           //
//  For more information about Sharkysoft products and services, please      //
//  visit Sharkysoft on the web at                                           //
//                                                                           //
//       http://sharkysoft.com/                                              //
//                                                                           //
//  Thank you for using Lava!                                                //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////



package lava.konst;



/******************************************************************************
Double constants.

<p><b>Details:</b>  <code>DOUBLE</code> is a collection of <code>double</code> constants.</p>

<!--SHOWSOURCE-->

@since 1999.05.13
******************************************************************************/

public class DOUBLE
{



	/**********************************************************************
	+1.7976931348623157E308.

	<p><b>Details:</b>  Maximum <code>double</code> value.</p>
	**********************************************************************/

	public static final double MAX_DOUBLE  = Double.MAX_VALUE;



	/**********************************************************************
	-1.7976931348623157E308.

	<p><b>Details:</b>  Minimum <code>double</code> value.</p>
	**********************************************************************/

	public static final double MIN_DOUBLE  = - Double.MAX_VALUE;



	/**********************************************************************
	+4.9E-324.

	<p><b>Details:</b>  Minimum positive <code>double</code> value.</p>
	**********************************************************************/

	public static final double MIN_PDOUBLE = Double.MIN_VALUE;



	/**********************************************************************
	-4.9E-324.

	<p><b>Details:</b>  Maximum negative <code>double</code> value.</p>
	**********************************************************************/

	public static final double MAX_NDOUBLE = - Double.MIN_VALUE;



	/**********************************************************************
	+3.4028235E38.

	<p><b>Details:</b>  Maximum <code>float</code> value.</p>
	**********************************************************************/

	public static final double MAX_FLOAT   = Float.MAX_VALUE;



	/**********************************************************************
	-3.4028235E38.

	<p><b>Details:</b>  Minimum <code>float</code> value.</p>
	**********************************************************************/

	public static final double MIN_FLOAT   = - Float.MAX_VALUE;



	/**********************************************************************
	+1.4E-45.

	<p><b>Details:</b>  Minimum positive <code>float</code> value.</p>
	**********************************************************************/

	public static final double MIN_PFLOAT  = Float.MIN_VALUE;



	/**********************************************************************
	-1.4E-45.

	<p><b>Details:</b>  Maximum negative <code>float</code> value.</p>
	**********************************************************************/

	public static final double MAX_NFLOAT  = - Float.MIN_VALUE;



	/**********************************************************************
	+0x7fffffffffffffff.

	<p><b>Details:</b>  Maximum signed <code>long</code> value.</p>
	**********************************************************************/

	public static final double MAX_SLONG   = LONG.MAX_SLONG;



	/**********************************************************************
	-0x8000000000000000.

	<p><b>Details:</b>  Minimum signed <code>long</code> value.</p>
	**********************************************************************/

	public static final double MIN_SLONG   = LONG.MIN_SLONG;



	/**********************************************************************
	+0xffffffffffffffff.

	<p><b>Details:</b>  Maximum unsigned <code>long</code> value.</p>
	**********************************************************************/

	public static final double MAX_ULONG   = MAX_SLONG * 2 + 1;



	/**********************************************************************
	0.

	<p><b>Details:</b>  Minimum unsigned <code>long</code> value.</p>
	**********************************************************************/

	public static final double MIN_ULONG   = 0;



	/**********************************************************************
	+0x7fffffff.

	<p><b>Details:</b>  Maximum signed <code>int</code> value.</p>
	**********************************************************************/

	public static final double MAX_SINT    = LONG.MAX_SINT;



	/**********************************************************************
	-0x80000000.

	<p><b>Details:</b>  Minimum signed <code>int</code> value.</p>
	**********************************************************************/

	public static final double MIN_SINT    = LONG.MIN_SINT;



	/**********************************************************************
	+0xffffffff.

	<p><b>Details:</b>  Maximum unsigned <code>int</code> value.</p>
	**********************************************************************/

	public static final double MAX_UINT    = LONG.MAX_UINT;



	/**********************************************************************
	0.

	<p><b>Details:</b>  Minimum unsigned <code>int</code> value.</p>
	**********************************************************************/

	public static final double MIN_UINT    = LONG.MIN_UINT;



	/**********************************************************************
	+0x7fff.

	<p><b>Details:</b>  Maximum signed <code>short</code> value.</p>
	**********************************************************************/

	public static final double MAX_SSHORT  = LONG.MAX_SSHORT;



	/**********************************************************************
	-0x8000.

	<p><b>Details:</b>  Minimum signed <code>short</code> value.</p>
	**********************************************************************/

	public static final double MIN_SSHORT  = LONG.MIN_SSHORT;



	/**********************************************************************
	+0xffff.

	<p><b>Details:</b>  Maximum unsigned <code>short</code> value.</p>
	**********************************************************************/

	public static final double MAX_USHORT  = LONG.MAX_USHORT;



	/**********************************************************************
	0.

	<p><b>Details:</b>  Minimum unsigned <code>short</code> value.</p>
	**********************************************************************/

	public static final double MIN_USHORT  = LONG.MIN_USHORT;



	/**********************************************************************
	+0x7f.

	<p><b>Details:</b>  Maximum signed <code>byte</code> value.</p>
	**********************************************************************/

	public static final double MAX_SBYTE   = LONG.MAX_SBYTE;



	/**********************************************************************
	-0x80.

	<p><b>Details:</b>  Minimum signed <code>byte</code> value.</p>
	**********************************************************************/

	public static final double MIN_SBYTE   = LONG.MIN_SBYTE;



	/**********************************************************************
	+0xff.

	<p><b>Details:</b>  Maximum unsigned <code>byte</code> value.</p>
	**********************************************************************/

	public static final double MAX_UBYTE   = LONG.MAX_UBYTE;



	/**********************************************************************
	0.

	<p><b>Details:</b>  Minimum unsigned <code>byte</code> value.</p>
	**********************************************************************/

	public static final double MIN_UBYTE   = LONG.MIN_UBYTE;



	private DOUBLE () {}



}



