///////////////////////////////////////////////////////////////////////////////
//                                                                           //
//  Notice to licensees:                                                     //
//                                                                           //
//  This source code is the exclusive, proprietary intellectual property of  //
//  Sharkysoft (sharkysoft.com).  You may view this source code as a         //
//  supplement to other product documentation, but you may not distribute    //
//  it or use it for any other purpose without written consent from          //
//  Sharkysoft.                                                              //
//                                                                           //
//  You are permitted to modify and recompile this source code, but you may  //
//  not remove this notice.  If you add features to or fix errors in this    //
//  code, please consider sharing your changes with Sharkysoft for possible  //
//  incorporation into future releases of the product.  Thanks!              //
//                                                                           //
//  For more information about Sharkysoft products and services, please      //
//  visit Sharkysoft on the web at                                           //
//                                                                           //
//       http://sharkysoft.com/                                              //
//                                                                           //
//  Thank you for using Lava!                                                //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////



package lava.konst;



/******************************************************************************
Long constants.

<p><b>Details:</b>  <code>LONG</code> is a collection of <code>long</code> constants.</p>

@since 1999.05.13
******************************************************************************/

public class LONG
{



	/**********************************************************************
	0x7fffffffffffffff.

	<p><b>Details:</b>  Maximum signed <code>long</code> value.</p>
	**********************************************************************/

	public static final long MAX_SLONG  = 0x7fffffffffffffffL;



	/**********************************************************************
	0x8000000000000000.

	<p><b>Details:</b>  Minimum signed <code>long</code> value.</p>
	**********************************************************************/

	public static final long MIN_SLONG  = 0x8000000000000000L;



	/**********************************************************************
	0xffffffffffffffff.

	<p><b>Details:</b>  Maximum unsigned <code>long</code> value.</p>
	**********************************************************************/

	public static final long MAX_ULONG  = 0xffffffffffffffffL;



	/**********************************************************************
	0x0000000000000000.

	<p><b>Details:</b>  Minimum unsigned <code>long</code> value.</p>
	**********************************************************************/

	public static final long MIN_ULONG  = 0x0000000000000000L;



	/**********************************************************************
	0x000000007fffffff.

	<p><b>Details:</b>  Maximum signed <code>int</code> value.</p>
	**********************************************************************/

	public static final long MAX_SINT   = 0x000000007fffffffL;



	/**********************************************************************
	0xffffffff80000000.

	<p><b>Details:</b>  Minimum signed <code>int</code> value.</p>
	**********************************************************************/

	public static final long MIN_SINT   = 0xffffffff80000000L;



	/**********************************************************************
	0x00000000ffffffff.

	<p><b>Details:</b>  Maximum unsigned <code>int</code> value.</p>
	**********************************************************************/

	public static final long MAX_UINT   = 0x00000000ffffffffL;



	/**********************************************************************
	0x0000000000000000.

	<p><b>Details:</b>  Minimum unsigned <code>int</code> value.</p>
	**********************************************************************/

	public static final long MIN_UINT   = 0x0000000000000000L;



	/**********************************************************************
	0x0000000000007fff.

	<p><b>Details:</b>  Maximum signed <code>short</code> value.</p>
	**********************************************************************/

	public static final long MAX_SSHORT = 0x0000000000007fffL;



	/**********************************************************************
	0xffffffffffff8000.

	<p><b>Details:</b>  Minimum signed <code>short</code> value.</p>
	**********************************************************************/

	public static final long MIN_SSHORT = 0xffffffffffff8000L;



	/**********************************************************************
	0x000000000000ffff.

	<p><b>Details:</b>  Maximum unsigned <code>short</code> value.</p>
	**********************************************************************/

	public static final long MAX_USHORT = 0x000000000000ffffL;



	/**********************************************************************
	0x0000000000000000.

	<p><b>Details:</b>  Minimum unsigned <code>short</code> value.</p>
	**********************************************************************/

	public static final long MIN_USHORT = 0x0000000000000000L;



	/**********************************************************************
	0x000000000000007f.

	<p><b>Details:</b>  Maximum signed <code>byte</code> value.</p>
	**********************************************************************/

	public static final long MAX_SBYTE  = 0x000000000000007fL;



	/**********************************************************************
	0xffffffffffffff80.

	<p><b>Details:</b>  Minimum signed <code>byte</code> value.</p>
	**********************************************************************/

	public static final long MIN_SBYTE  = 0xffffffffffffff80L;



	/**********************************************************************
	0x00000000000000ff.

	<p><b>Details:</b>  Maximum unsigned <code>byte</code> value.</p>
	**********************************************************************/

	public static final long MAX_UBYTE  = 0x00000000000000ffL;



	/**********************************************************************
	0x0000000000000000.

	<p><b>Details:</b>  Minimum unsigned <code>byte</code> value.</p>
	**********************************************************************/

	public static final long MIN_UBYTE  = 0x0000000000000000L;



	/**********************************************************************
	0x0000000000000001.

	<p><b>Details:</b>  Bit 0 mask.</p>
	**********************************************************************/

	public static final long BIT_00 = 1L      ;



	/**********************************************************************
	0x0000000000000001 << 1.

	<p><b>Details:</b>  Bit 1 mask.</p>
	**********************************************************************/

	public static final long BIT_01 = 1L <<  1;



	/**********************************************************************
	0x0000000000000001 << 2.

	<p><b>Details:</b> Bit 2 mask.</p>
	**********************************************************************/

	public static final long BIT_02 = 1L <<  2;



	/**********************************************************************
	0x0000000000000001 << 3.

	<p><b>Details:</b> Bit 3 mask.</p>
	**********************************************************************/

	public static final long BIT_03 = 1L <<  3;



	/**********************************************************************
	0x0000000000000001 << 4.

	<p><b>Details:</b> Bit 4 mask.</p>
	**********************************************************************/

	public static final long BIT_04 = 1L <<  4;



	/**********************************************************************
	0x0000000000000001 << 5.

	<p><b>Details:</b> Bit 5 mask.</p>
	**********************************************************************/

	public static final long BIT_05 = 1L <<  5;



	/**********************************************************************
	0x0000000000000001 << 6.

	<p><b>Details:</b> Bit 6 mask.</p>
	**********************************************************************/

	public static final long BIT_06 = 1L <<  6;



	/**********************************************************************
	0x0000000000000001 << 7.

	<p><b>Details:</b> Bit 7 mask.</p>
	**********************************************************************/

	public static final long BIT_07 = 1L <<  7;



	/**********************************************************************
	0x0000000000000001 << 8.

	<p><b>Details:</b> Bit 8 mask.</p>
	**********************************************************************/

	public static final long BIT_08 = 1L <<  8;



	/**********************************************************************
	0x0000000000000001 << 9.

	<p><b>Details:</b> Bit 9 mask.</p>
	**********************************************************************/

	public static final long BIT_09 = 1L <<  9;



	/**********************************************************************
	0x0000000000000001 << 10.

	<p><b>Details:</b> Bit 10 mask.</p>
	**********************************************************************/

	public static final long BIT_10 = 1L << 10;



	/**********************************************************************
	0x0000000000000001 << 11.

	<p><b>Details:</b> Bit 11 mask.</p>
	**********************************************************************/

	public static final long BIT_11 = 1L << 11;



	/**********************************************************************
	0x0000000000000001 << 12.

	<p><b>Details:</b> Bit 12 mask.</p>
	**********************************************************************/

	public static final long BIT_12 = 1L << 12;



	/**********************************************************************
	0x0000000000000001 << 13.

	<p><b>Details:</b> Bit 13 mask.</p>
	**********************************************************************/

	public static final long BIT_13 = 1L << 13;



	/**********************************************************************
	0x0000000000000001 << 14.

	<p><b>Details:</b> Bit 14 mask.</p>
	**********************************************************************/

	public static final long BIT_14 = 1L << 14;



	/**********************************************************************
	0x0000000000000001 << 15.

	<p><b>Details:</b> Bit 15 mask.</p>
	**********************************************************************/

	public static final long BIT_15 = 1L << 15;



	/**********************************************************************
	0x0000000000000001 << 16.

	<p><b>Details:</b> Bit 16 mask.</p>
	**********************************************************************/

	public static final long BIT_16 = 1L << 16;



	/**********************************************************************
	0x0000000000000001 << 17.

	<p><b>Details:</b> Bit 17 mask.</p>
	**********************************************************************/

	public static final long BIT_17 = 1L << 17;



	/**********************************************************************
	0x0000000000000001 << 18.

	<p><b>Details:</b> Bit 18 mask.</p>
	**********************************************************************/

	public static final long BIT_18 = 1L << 18;



	/**********************************************************************
	0x0000000000000001 << 19.

	<p><b>Details:</b> Bit 19 mask.</p>
	**********************************************************************/

	public static final long BIT_19 = 1L << 19;



	/**********************************************************************
	0x0000000000000001 << 20.

	<p><b>Details:</b> Bit 20 mask.</p>
	**********************************************************************/

	public static final long BIT_20 = 1L << 20;



	/**********************************************************************
	0x0000000000000001 << 21.

	<p><b>Details:</b> Bit 21 mask.</p>
	**********************************************************************/

	public static final long BIT_21 = 1L << 21;



	/**********************************************************************
	0x0000000000000001 << 22.

	<p><b>Details:</b> Bit 22 mask.</p>
	**********************************************************************/

	public static final long BIT_22 = 1L << 22;



	/**********************************************************************
	0x0000000000000001 << 23.

	<p><b>Details:</b> Bit 23 mask.</p>
	**********************************************************************/

	public static final long BIT_23 = 1L << 23;



	/**********************************************************************
	0x0000000000000001 << 24.

	<p><b>Details:</b> Bit 24 mask.</p>
	**********************************************************************/

	public static final long BIT_24 = 1L << 24;



	/**********************************************************************
	0x0000000000000001 << 25.

	<p><b>Details:</b> Bit 25 mask.</p>
	**********************************************************************/

	public static final long BIT_25 = 1L << 25;



	/**********************************************************************
	0x0000000000000001 << 26.

	<p><b>Details:</b> Bit 26 mask.</p>
	**********************************************************************/

	public static final long BIT_26 = 1L << 26;



	/**********************************************************************
	0x0000000000000001 << 27.

	<p><b>Details:</b> Bit 27 mask.</p>
	**********************************************************************/

	public static final long BIT_27 = 1L << 27;



	/**********************************************************************
	0x0000000000000001 << 28.

	<p><b>Details:</b> Bit 28 mask.</p>
	**********************************************************************/

	public static final long BIT_28 = 1L << 28;



	/**********************************************************************
	0x0000000000000001 << 29.

	<p><b>Details:</b> Bit 29 mask.</p>
	**********************************************************************/

	public static final long BIT_29 = 1L << 29;



	/**********************************************************************
	0x0000000000000001 << 30.

	<p><b>Details:</b> Bit 30 mask.</p>
	**********************************************************************/

	public static final long BIT_30 = 1L << 30;



	/**********************************************************************
	0x0000000000000001 << 31.

	<p><b>Details:</b> Bit 31 mask.</p>
	**********************************************************************/

	public static final long BIT_31 = 1L << 31;



	/**********************************************************************
	0x0000000000000001 << 32.

	<p><b>Details:</b> Bit 32 mask.</p>
	**********************************************************************/

	public static final long BIT_32 = 1L << 32;



	/**********************************************************************
	0x0000000000000001 << 33.

	<p><b>Details:</b> Bit 33 mask.</p>
	**********************************************************************/

	public static final long BIT_33 = 1L << 33;



	/**********************************************************************
	0x0000000000000001 << 34.

	<p><b>Details:</b> Bit 34 mask.</p>
	**********************************************************************/

	public static final long BIT_34 = 1L << 34;



	/**********************************************************************
	0x0000000000000001 << 35.

	<p><b>Details:</b> Bit 35 mask.</p>
	**********************************************************************/

	public static final long BIT_35 = 1L << 35;



	/**********************************************************************
	0x0000000000000001 << 36.

	<p><b>Details:</b> Bit 36 mask.</p>
	**********************************************************************/

	public static final long BIT_36 = 1L << 36;



	/**********************************************************************
	0x0000000000000001 << 37.

	<p><b>Details:</b> Bit 37 mask.</p>
	**********************************************************************/

	public static final long BIT_37 = 1L << 37;



	/**********************************************************************
	0x0000000000000001 << 38.

	<p><b>Details:</b> Bit 38 mask.</p>
	**********************************************************************/

	public static final long BIT_38 = 1L << 38;



	/**********************************************************************
	0x0000000000000001 << 39.

	<p><b>Details:</b> Bit 39 mask.</p>
	**********************************************************************/

	public static final long BIT_39 = 1L << 39;



	/**********************************************************************
	0x0000000000000001 << 40.

	<p><b>Details:</b> Bit 40 mask.</p>
	**********************************************************************/

	public static final long BIT_40 = 1L << 40;



	/**********************************************************************
	0x0000000000000001 << 41.

	<p><b>Details:</b> Bit 41 mask.</p>
	**********************************************************************/

	public static final long BIT_41 = 1L << 41;



	/**********************************************************************
	0x0000000000000001 << 42.

	<p><b>Details:</b> Bit 42 mask.</p>
	**********************************************************************/

	public static final long BIT_42 = 1L << 42;



	/**********************************************************************
	0x0000000000000001 << 43.

	<p><b>Details:</b> Bit 43 mask.</p>
	**********************************************************************/

	public static final long BIT_43 = 1L << 43;



	/**********************************************************************
	0x0000000000000001 << 44.

	<p><b>Details:</b> Bit 44 mask.</p>
	**********************************************************************/

	public static final long BIT_44 = 1L << 44;



	/**********************************************************************
	0x0000000000000001 << 45.

	<p><b>Details:</b> Bit 45 mask.</p>
	**********************************************************************/

	public static final long BIT_45 = 1L << 45;



	/**********************************************************************
	0x0000000000000001 << 46.

	<p><b>Details:</b> Bit 46 mask.</p>
	**********************************************************************/

	public static final long BIT_46 = 1L << 46;



	/**********************************************************************
	0x0000000000000001 << 47.

	<p><b>Details:</b> Bit 47 mask.</p>
	**********************************************************************/

	public static final long BIT_47 = 1L << 47;



	/**********************************************************************
	0x0000000000000001 << 48.

	<p><b>Details:</b> Bit 48 mask.</p>
	**********************************************************************/

	public static final long BIT_48 = 1L << 48;



	/**********************************************************************
	0x0000000000000001 << 49.

	<p><b>Details:</b> Bit 49 mask.</p>
	**********************************************************************/

	public static final long BIT_49 = 1L << 49;



	/**********************************************************************
	0x0000000000000001 << 50.

	<p><b>Details:</b> Bit 50 mask.</p>
	**********************************************************************/

	public static final long BIT_50 = 1L << 50;



	/**********************************************************************
	0x0000000000000001 << 51.

	<p><b>Details:</b> Bit 51 mask.</p>
	**********************************************************************/

	public static final long BIT_51 = 1L << 51;



	/**********************************************************************
	0x0000000000000001 << 52.

	<p><b>Details:</b> Bit 52 mask.</p>
	**********************************************************************/

	public static final long BIT_52 = 1L << 52;



	/**********************************************************************
	0x0000000000000001 << 53.

	<p><b>Details:</b> Bit 53 mask.</p>
	**********************************************************************/

	public static final long BIT_53 = 1L << 53;



	/**********************************************************************
	0x0000000000000001 << 54.

	<p><b>Details:</b> Bit 54 mask.</p>
	**********************************************************************/

	public static final long BIT_54 = 1L << 54;



	/**********************************************************************
	0x0000000000000001 << 55.

	<p><b>Details:</b> Bit 55 mask.</p>
	**********************************************************************/

	public static final long BIT_55 = 1L << 55;



	/**********************************************************************
	0x0000000000000001 << 56.

	<p><b>Details:</b> Bit 56 mask.</p>
	**********************************************************************/

	public static final long BIT_56 = 1L << 56;



	/**********************************************************************
	0x0000000000000001 << 57.

	<p><b>Details:</b> Bit 57 mask.</p>
	**********************************************************************/

	public static final long BIT_57 = 1L << 57;



	/**********************************************************************
	0x0000000000000001 << 58.

	<p><b>Details:</b> Bit 58 mask.</p>
	**********************************************************************/

	public static final long BIT_58 = 1L << 58;



	/**********************************************************************
	0x0000000000000001 << 59.

	<p><b>Details:</b> Bit 59 mask.</p>
	**********************************************************************/

	public static final long BIT_59 = 1L << 59;



	/**********************************************************************
	0x0000000000000001 << 60.

	<p><b>Details:</b> Bit 60 mask.</p>
	**********************************************************************/

	public static final long BIT_60 = 1L << 60;



	/**********************************************************************
	0x0000000000000001 << 61.

	<p><b>Details:</b> Bit 61 mask.</p>
	**********************************************************************/

	public static final long BIT_61 = 1L << 61;



	/**********************************************************************
	0x0000000000000001 << 62.

	<p><b>Details:</b> Bit 62 mask.</p>
	**********************************************************************/

	public static final long BIT_62 = 1L << 62;



	/**********************************************************************
	0x0000000000000001 << 63.

	<p><b>Details:</b> Bit 63 mask.</p>
	**********************************************************************/

	public static final long BIT_63 = 1L << 63;



	private LONG () {}



}



